Bug 1875371 - Topology list view search does not update view correctly
Summary: Topology list view search does not update view correctly
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Jeff Phillips
QA Contact: Jaivardhan Kumar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 12:07 UTC by Jeff Phillips
Modified: 2020-09-23 09:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-09-02-210353 Cluster ID: 3e678df8-91c4-4476-95d2-b6f44b260da3 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/85.0.4183.83 Safari/537.36
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6516 None closed Bug 1875371: Fix to show topology list view filtered items correctly 2020-09-23 09:02:27 UTC

Description Jeff Phillips 2020-09-03 12:07:31 UTC
Description of problem:

Entering text into the 'Find by name'  field does not dim non-matching items and delays before showing the highlight border on the found rows.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. Navigate to the Developer perspective, topology, list view.
2. Enter text in the 'Filter by name' field that matches a subset of items

Actual results:

Non matching items are not dimmed
Matching items show the highlight border only after some delay.

Expected results:

Non matching items are dimmed
Matching items immediately show the highlight border.

Additional info:

Comment 3 Jaivardhan Kumar 2020-09-23 09:02:54 UTC
Verified on Version: 4.6.0-0.nightly-2020-09-22-213802


Note You need to log in before you can comment on or make changes to this bug.